Summary:          MQTT client library for Qt
Name:             qmqtt
Version:          1.0.3
Release:          0%{?dist}.1sunshine
License:          BSD or EPL-1.0
URL:              https://github.com/emqx/%{name}

Source0:          %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:    cmake3 >= 3.9
BuildRequires:    gcc-c++
BuildRequires:    make
# Qt 5.3 is minimum, 5.7 supports websockets
BuildRequires:    qt5-qtbase-devel >= 5.7
BuildRequires:    qt5-qtwebsockets-devel >= 5.7
BuildRequires:    openssl-devel >= 1.0.2

%description
qmqtt is an MQTT client library for Qt5.

%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1


%build
%cmake -Dqmqtt_WEBSOCKETS=1
%cmake_build

%install
%cmake_install

#%%check
# make fails in src-tests
# make -C build src-tests

%ldconfig_scriptlets

%files
%license LICENSE edl-v10 epl-v10
%doc README.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/

%changelog
* Wed Jun 07 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.3-0.1sunshine
- update to 1.0.3

* Tue Aug 30 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.2-0.1sunshine
- update to 1.0.2

* Mon Jun 21 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.2sunshine
- remove references to qmake and git commit based versioning
- add relevant license files

* Fri Mar 26 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.1sunshine
- update to 1.0.0
- build with cmake instead of qmake
- properly force websocket support

* Sat Mar 20 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 0.3.1-0.20200919.git1fc3e1c.1sunshine
- fix library version to 0.3.1 (never tagged, but found in source)
- add BR: make
- add BR: openssl-devel
- add a patch to actually build websocket support
- build with qmake instead of cmake, as the latter didn't manage to pick up websocket support
- for some reason, this changed the sonames

* Sun Oct 04 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.1-0.20200919.git1fc3e1c.1sunshine
- update to new snapshot
- replace BR: cmake with cmake3, which should fix EPEL7

* Mon Sep 14 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.1-0.20200714.git4ba2ed4.2sunshine
- fix BR typo

* Fri Sep 4 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.1-0.20200714.git4ba2ed4.1sunshine
- initial RPM
